> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1bank institutionsplaid



## OpenAPI

````yaml /api-reference/openapi.json get /v1/bank-institutions/plaid/{id}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/bank-institutions/plaid/{id}:
    get:
      tags:
        - BankInstitution
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/DTOBankInstitutionResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/DTOBankInstitutionResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/DTOBankInstitutionResponse'
        '403':
          description: Forbidden
        '404':
          description: Not Found
components:
  schemas:
    DTOBankInstitutionResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        logo:
          type: string
          nullable: true
        products:
          type: array
          items:
            type: string
          nullable: true
        countries:
          type: array
          items:
            type: string
          nullable: true
        url:
          type: string
          nullable: true
        primaryColor:
          type: string
          nullable: true
        plaidId:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
      additionalProperties: false

````